Bug 140554 - newline in Summary field breaks notification mails
Summary: newline in Summary field breaks notification mails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.18
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Mike MacKenzie
QA Contact: Mike MacKenzie
URL: https://bugzilla.redhat.com/bugzilla/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-23 16:23 UTC by Joe Orton
Modified: 2007-04-18 17:15 UTC (History)
0 users

Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 17:01:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2004-11-23 16:23:01 UTC
I managed to enter a newline in the Summary field, and the mail
generated also had the newline:

Subject: [Bug 140551] New: sshd fails to open ptys with
RHEL4-re1122.nightly tree

Content-type: text/plain; charset=utf-8

so half the headers were in the mail body - probably need to do some
field sanitisation.

Comment 1 Mike MacKenzie 2004-11-23 20:51:07 UTC
I fixed this by replacing newlines (and carriage returns) with spaces.
This fix will be in version 2.18.  Until 2.18 is in production, um, be
careful.  Or use the 2.18 beta (note: this fix hasn't been pushed out to 
the beta, yet, but it should be out soon)

Comment 2 David Lawrence 2005-08-24 17:01:19 UTC
Should be fixed now. Please reopen if not the case.


Note You need to log in before you can comment on or make changes to this bug.